%if 0%{?fedora} >= 9
    %define locale_name kdialogd4
%else
    %define locale_name kdialogd3
%endif
Name:           kgtk
Version:        0.10.1
Release:        2%{?dist}
Summary:        Allows Gtk and Qt applications to use KDE's file dialogs

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.kde-apps.org/content/show.php?content=36077
Source0:        http://home.freeuk.com/cpdrummond/KGtk-%{version}.tar.bz2
Patch0:         kgtk-0.10.1-kgtk2_wrapper_lib_suffix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       kdebase-runtime
BuildRequires:  kdelibs-devel gtk2-devel cmake gettext


%description
This is an LD_PRELOAD library that allows Gtk and Qt applications (such as
Firefox, Evolution, Eclipse, etc) to use KDE's file dialogs.

When a Gtk/Qt app is executed, it starts the kdialogd app (if not already
started), and communicates with this via a UNIX domain socket. There will only
ever be one instance of kdialogd, and all apps communicate with the same
instance - and it terminates itself 30 seconds after the last Gtk/Qt app has
disconnected.


%prep
%setup -q -n KGtk-%{version}
%patch0 -p1 -b .kgtk2_wrapper_lib_suffix


%build
%if 0%{?fedora} >= 9
    %cmake -DKGTK_KDE4=true -DKGTK_KDE3=false .
%else
    %cmake -DKGTK_KDE3=true .
%endif
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{locale_name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{locale_name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%{_libdir}/kgtk


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 30 2009 Francois Aucamp <faucamp@fedoraproject.org> - 0.10.1-1
- Update to version 0.10.1
- Added "kgtk2_wrapper_lib_suffix" patch to fix libdir locations on x86_64 (RHBZ #508733)
- Added explicit Requires: kdebase-runtime (for kreadconfig)
- Removed old bundled %%cmake macros from spec
- Dropped obsolete "open_O_CREAT_parameters" patch (included upstream)
- Dropped obsolete "intptr_t" patch (fixed upstream)
- Dropped obsolete "kgtk-wrapper-gtk2_detection" patch (included upstream)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 13 2008 Francois Aucamp <faucamp@fedoraproject.org> - 0.9.4-3
- Added patch to fix kgtk-wrapper script's detection of client app's toolkit (RHBZ #432321)

* Tue Jan 29 2008 Francois Aucamp <faucamp@fedoraproject.org> - 0.9.4-2
- Added "intptr_t" patch to fix pointer-to-int conversion bug on 64-bit archs
- Added "kdelibs4.0_kconfig_api" patch to sync KConfig API to kdelibs 4.0 for F9+

* Mon Jan 28 2008 Francois Aucamp <faucamp@fedoraproject.org> - 0.9.4-1
- Update to version 0.9.4
- Dropped obsolete autotools patches
- Added conditional builds for KDE4 (F9+) and KDE3 (F8-)
- Added cmake lib64 suffix macro (to be removed if the global RPM cmake macros are accepted)
- Added TODO to package docs
- Added %%find_lang macro to gather locale files
- Changed License field from GPL to GPLv2+
- Added %%cmake macro to spec (until the macro is accepted globally in RPM)
- Added "open_O_CREAT_parameters" patch to fix usage of open()

* Thu Jan 25 2007 Francois Aucamp <faucamp@csir.co.za> - 0.8-2
- Created patch to prevent useless libkgtk.so.* symlinks during %%build
- Added package name/version prefix to patch filenames

* Wed Jan 24 2007 Francois Aucamp <faucamp@csir.co.za> - 0.8-1
- Initial RPM build
- Created patch for makefile to use correct installation paths
